# bdm::mgamma_fix Class Reference

Gamma random walk around a fixed point. More...

## Detailed Description

Gamma random walk around a fixed point.

Mean value, , of this density is given by a geometric combination of `rvc` and given fixed point, . is the coefficient of the geometric combimation

Standard deviation of the random walk is proportional to one -th the mean. This is achieved by setting and .

The standard deviation of the walk is then: .

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| mgamma_fix ()
| Constructor.
void | set_parameters (double k0, vec ref0, double l0)
| Set value of `k`.
void | condition (const vec &val)
void | set_parameters (double k, const vec &beta0)
| Set value of `k`.
void | from_setting (const Setting &set)
egamma & | e ()
| access function to iepdf
vec | samplecond (const vec &cond)
| Reimplements samplecond using `condition()`.
double | evallogcond (const vec &val, const vec &cond)
| Reimplements evallogcond using `condition()`.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Efficient version of evallogcond for matrices.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Efficient version of evallogcond for Array<vec>.
virtual mat | samplecond_m (const vec &cond, int N)
| Efficient version of samplecond.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Access to attributes
const RV & | _rv () const
const RV & | _rvc () const
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
double | l
| parameter l
vec | refl
| reference vector
double | k
| Constant .
vec & | _beta
| cache of iepdf.beta
egamma | iepdf
| Internal epdf used for sampling.
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Member Function Documentation

void bdm::mgamma_fix::condition | ( | const vec & | cond | ) | `[inline, virtual]`

Update `iepdf` so that it represents this mpdf conditioned on `rvc` = cond This function provides convenient reimplementation in offsprings

Reimplemented from bdm::mgamma.

References bdm::mgamma::_beta, bdm::mgamma::k, l, and refl.

void bdm::mgamma::from_setting | ( | const Setting & | set | ) | `[inline, virtual, inherited]`

Create Gamma density with conditional mean value

from structure

                      class = 'mgamma';
                      beta = [...];          // vector of initial alpha
                      k = 1.1;               // multiplicative constant k
                      rv = RV({'name'})      // description of RV
                      rvc = RV({'name'})     // description of RV in condition

Reimplemented from bdm::mpdf.

References bdm::UI::get(), bdm::mgamma::k, and bdm::mgamma::set_parameters().

The documentation for this class was generated from the following file:

- exp_family.h